MultipleGradientPaint.ColorSpaceType (Java Platform SE 8 )
Keywords: java.awt.MultipleGradientPaint.ColorSpaceType class
Date: 2026-04-17

java.awt

## Enum MultipleGradientPaint.ColorSpaceType

- java.lang.Object
- - java.lang.Enum<MultipleGradientPaint.ColorSpaceType>
  - - java.awt.MultipleGradientPaint.ColorSpaceType

- All Implemented Interfaces:
    Serializable, Comparable<MultipleGradientPaint.ColorSpaceType>
  Enclosing class:
    MultipleGradientPaint

      public static enum MultipleGradientPaint.ColorSpaceType
      extends Enum<MultipleGradientPaint.ColorSpaceType>

  The color space in which to perform the gradient interpolation.
  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LINEAR_RGB` Indicates that the color interpolation should occur in linearized RGB space.
    `SRGB` Indicates that the color interpolation should occur in sRGB space.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultipleGradientPaint.ColorSpaceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MultipleGradientPaint.ColorSpaceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SRGB

          public static final MultipleGradientPaint.ColorSpaceType SRGB

      Indicates that the color interpolation should occur in sRGB space.

    - #### LINEAR_RGB

          public static final MultipleGradientPaint.ColorSpaceType LINEAR_RGB

      Indicates that the color interpolation should occur in linearized RGB space.

  - ### Method Detail

    - #### values

          public static MultipleGradientPaint.ColorSpaceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultipleGradientPaint.ColorSpaceType c : MultipleGradientPaint.ColorSpaceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultipleGradientPaint.ColorSpaceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.